# class Tk::Iwidgets::Calendar

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

__validation_class_list() click to toggle source
Calls superclass method Tk::ValidateConfigure#__validation_class_list

    # File lib/tkextlib/iwidgets/calendar.rb, line 85
    def __validation_class_list
      super() << CalendarCommand
    end

get()
Alias for: get_string
get_clicks() click to toggle source

    # File lib/tkextlib/iwidgets/calendar.rb, line 109
    def get_clicks
      number(tk_call(@path, 'get', '-clicks'))
    end

get_string() click to toggle source

    # File lib/tkextlib/iwidgets/calendar.rb, line 104
    def get_string
      tk_call(@path, 'get', '-string')
    end

Also aliased as: get
select(date) click to toggle source

    # File lib/tkextlib/iwidgets/calendar.rb, line 113
    def select(date)
      tk_call(@path, 'select', date)
      self
    end

show(date) click to toggle source

    # File lib/tkextlib/iwidgets/calendar.rb, line 118
    def show(date)
      tk_call(@path, 'show', date)
      self
    end

show_now() click to toggle source

    # File lib/tkextlib/iwidgets/calendar.rb, line 122
    def show_now
      tk_call(@path, 'show', 'now')
      self
    end

### Private Instance Methods

__font_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/calendar.rb, line 35
    def __font_optkeys
      super() + ['currentdatefont', 'datefont', 'dayfont', 'titlefont']
    end

__listval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__listval_optkeys

    # File lib/tkextlib/iwidgets/calendar.rb, line 30
    def __listval_optkeys
      super() << 'days'
    end

__strval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__strval_optkeys

    # File lib/tkextlib/iwidgets/calendar.rb, line 22
    def __strval_optkeys
      super() + [
        'buttonforeground', 'outline', 'selectcolor',
        'weekdaybackground', 'weekendbackground'
      ]
    end